List the organization's team members (staff)
GET /api/organizations/members. List the organization's team members (staff). Headless LMS Organizations API reference.
Staff only (owner, admin, instructor). The team: everyone in the organization who is not a student.
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20search?string
Length
length <= 200sort?string
role?string
Value in
- "owner"
- "admin"
- "instructor"
- "moderator"
status?string
Value in
- "active"
- "invited"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/organizations/members"{ "rows": [ { "id": "string", "firstName": "string", "lastName": "string", "email": "string", "image": "string", "role": "owner", "status": "active", "joinedAt": "string", "invitedAt": "string" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Update the active organization (staff) PATCH
PATCH /api/organizations. Update the active organization (staff). Headless LMS Organizations API reference.
Change a member's role (staff) PATCH
PATCH /api/organizations/members/{id}/role. Change a member's role (staff). Headless LMS Organizations API reference.